4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.Structures

Data structures that are to be used in a pkg file.

Classes: Document, Executable, ExecutableScript, Localization, Script

## Classes

class Document
An XSLT rendered document. It creates both a XML, HTML and Text version of the document (if desired)

### Methods

__init__(self, source, outdir, htmlStylesheets=None, htmlOutfile=None, textStylesheets=None, textOutfile=None, params=None, title=None, category='general', flags=None)
__repr__(self)

class Executable
Just a collection of attributes that describes an executable and everything needed to build it (hopefully in a portable way, but there are hooks that let you be as unportable as you need).
Instance attributes:
name : string
the full name of the extension, including any packages -- ie.
*not* a filename or pathname, but Python dotted name
sources : [string]
list of source filenames, relative to the distribution root
(where the setup script lives), in Unix form (slash-separated)
for portability. Source files may be C, C++, SWIG (.i),
platform-specific resource files, or whatever else is recognized
by the "build_ext" command as source for a Python extension.
include_dirs : [string]
list of directories to search for C/C++ header files (in Unix
form for portability)
define_macros : [(name : string, value : string|None)]
list of macros to define; each macro is defined using a 2-tuple,
where 'value' is either the string to define it to or None to
define it without a particular value (equivalent of "#define
FOO" in source or -DFOO on Unix C compiler command line)
undef_macros : [string]
list of macros to undefine explicitly
library_dirs : [string]
list of directories to search for C/C++ libraries at link time
libraries : [string]
list of library names (not filenames or paths) to link against
runtime_library_dirs : [string]
list of directories to search for C/C++ libraries at run time
(for shared extensions, this is when the extension is loaded)
extra_objects : [string]
list of extra files to link with (eg. object files not implied
by 'sources', static library that must be explicitly specified,
binary resource files, etc.)
extra_compile_args : [string]
any extra platform- and compiler-specific information to use
when compiling the source files in 'sources'. For platforms and
compilers where "command line" makes sense, this is typically a
list of command-line arguments, but for other platforms it could
be anything.
extra_link_args : [string]
any extra platform- and compiler-specific information to use
when linking object files together to create the extension (or
to create a new static Python interpreter). Similar
interpretation as for 'extra_compile_args'.

### Methods

__init__(self, name, sources, include_dirs=None, define_macros=None, undef_macros=None, library_dirs=None, libraries=None, runtime_library_dirs=None, extra_objects=None, extra_compile_args=None, extra_link_args=None)
__repr__(self)

class ExecutableScript

### Methods

__init__(self, name, source)
__repr__(self)

class Localization
Defines a message catalog for a particular language

### Methods

__init__(self, language, source)
__repr__(self)

class Script

### Methods

__init__(self, name, path)
__repr__(self)